Bug 7289

Summary: edition statement field
Product: Koha Reporter: claire.hernandez <claire.hernandez>
Component: AcquisitionsAssignee: Jonathan Druart <jonathan.druart>
Status: CLOSED FIXED QA Contact: Ian Walls <koha.sekjal>
Severity: enhancement    
Priority: P5 - low CC: katrin.fischer, paul.poulain
Version: 3.8   
Hardware: All   
OS: All   
Change sponsored?: Sponsored Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
Bug Depends on:    
Bug Blocks: 7163    
Attachments: Bug 7289 Adds editionstatement field in neworderempty
Bug 7289: Adds editionstatement field in neworderempty
[SIGNED-OFF] Bug 7289: Adds editionstatement field in neworderempty
Bug 7289: Add biblioitems.editionstatement to missing sql files
[SIGNED-OFF] Bug 7289: Adds editionstatement field in neworderempty
Signed-off Bug 7289 Add biblioitems.editionstatement to missing

Description claire.hernandez@biblibre.com 2011-12-02 09:21:32 UTC
Adding a field "edition statement" to neworderempty.pl (BibLibre MT5837)
Comment 1 Jonathan Druart 2012-01-18 10:28:13 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2012-01-23 07:24:28 UTC
Hi Jonathan, 

I found some problems:

1) The new mappings are only added to en and fr-FR frameworks. 
Could you add it to the other languages too, please?

2) I think I would use the term "Edition:" on the order form.

3) There is no database update. When I tested without adding the mapping, the edition was not saved into the record. I think we need a careful database update here, checking if people already have a mapping on the MARC field or on bilbioitems.editionstatement. 

4) Edition does not show on the basket summary page. I think it would be good to have the information there too.

Failing QA for 3) for now - I think we need to find a way to make it work after an update or we will end up with people reporting bugs about the new field.
Comment 3 Jonathan Druart 2012-02-10 11:25:56 UTC Comment hidden (obsolete)
Comment 4 Katrin Fischer 2012-02-12 18:32:39 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2012-02-12 18:32:49 UTC Comment hidden (obsolete)
Comment 6 Katrin Fischer 2012-02-12 18:34:29 UTC
Didn't test for UNIMARC and follow-up needs sign-off. Leaving status.
Comment 7 Katrin Fischer 2012-02-12 19:11:29 UTC
Created attachment 7588 [details] [review]
[SIGNED-OFF] Bug 7289: Adds editionstatement field in neworderempty

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>

Tested:

Database update
- existing mapping
- no pre existing mapping

Frameworks
PROBLEM: some languages are still missing, I think only untranslated
frameworks are included in this patch.

Acquisition
- created a new order with edition filled out
- checked edition was saved to the correct field in cataloguing
- modified edition and checked display in acquisition
- edition also displays on basket summary page

http://bugs.koha-community.org/show_bug.cgi?id=7280
Comment 8 Jonathan Druart 2012-02-14 12:10:01 UTC
Created attachment 7633 [details] [review]
Signed-off Bug 7289 Add biblioitems.editionstatement to missing
Comment 9 Ian Walls 2012-02-16 21:43:17 UTC
This patch checks to see if the database field is already mapped anywhere in any framework, then applies the default values only if no mappings are found to exist.  This is a slightly more cautious method than necessary (mapping ANY framework to this field prevents ALL frameworks from receiving the update), but I vastly prefer this to anything more cavalier.  Marking Passed QA.
Comment 10 Paul Poulain 2012-02-17 10:16:09 UTC
Patch pushed, 2 comments:
* set DBrev to 015
* fixed a tiny git conflict in a template (edition statement display was conflicting with bug 5346 displaying a link to suggestion from order